/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      Symbol.bindElementAction(compId, symbolName, "${_boton_01}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         sym.getSymbol("pop_1").play(1);
         
         // Mostrar un elemento 
         sym.$("pop_1").show();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_boton_02}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         sym.getSymbol("pop_2").play(1);
         
         // Mostrar un elemento 
         sym.$("pop_2").show();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_boton_03}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         sym.getSymbol("pop_3").play(1);
         
         // Mostrar un elemento 
         sym.$("pop_3").show();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_boton_04}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         sym.getSymbol("pop_4").play(1);
         
         // Mostrar un elemento 
         sym.$("pop_4").show();

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'flecha_bt'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("flecha_bt");
   //Edge symbol end:'flecha_bt'

   //=========================================================

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'bt_audio'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().getSymbol("pop_1").$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().getSymbol("pop_1").$(soundId).duration;
         //console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().getSymbol("pop_1").$(soundId).on('ended', function() {
         sym.stop("up");
         sym.getComposition().getStage().getSymbol("pop_1");
         });
         
         //console.log("currentAudio="+currentAudio);
         //console.log("duracion="+duracion);
         // Definir un conmutador para reproducir o pausar una pista de audio 
         if (sym.getComposition().getStage().getSymbol("pop_1").$(soundId)[0].paused) {
         	sym.getComposition().getStage().getSymbol("pop_1").$(soundId)[0].play();
         	sym.stop("down");
            sym.getComposition().getStage().getSymbol("pop_1");
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().getSymbol("pop_1").$(soundId)[0].pause();
         	sym.stop("up");
            sym.getComposition().getStage().getSymbol("pop_1");
         }

      });
      //Edge binding end

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      

   })("bt_audio");
   //Edge symbol end:'bt_audio'

   //=========================================================
   
   //Edge symbol: 'boy'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 8750, function(sym, e) {
         sym.play("head");

      });
      //Edge binding end

   })("boy");
   //Edge symbol end:'boy'

   //=========================================================
   
   //Edge symbol: 'boy_head'
   (function(symbolName) {   
   
   })("boy_head");
   //Edge symbol end:'boy_head'

   //=========================================================
   
   //Edge symbol: 'boy_eyes'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 8808, function(sym, e) {
         sym.play("eyes");

      });
      //Edge binding end

   })("boy_eyes");
   //Edge symbol end:'boy_eyes'

   //=========================================================
   
   //Edge symbol: 's1_materiales'
   (function(symbolName) {   
   
   })("s1_materiales");
   //Edge symbol end:'s1_materiales'

   //=========================================================
   
   //Edge symbol: 's1_paso_1'
   (function(symbolName) {   
   
   })("s1_paso_1");
   //Edge symbol end:'s1_paso_1'

   //=========================================================
   
   //Edge symbol: 's1_paso_2'
   (function(symbolName) {   
   
   })("s1_paso_2");
   //Edge symbol end:'s1_paso_2'

   //=========================================================
   
   //Edge symbol: 'pop_1'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         // Ocultar un elemento 
         sym.getSymbolElement().fadeOut("slow");
         
         sym.playReverse();
         
         // Pausar una pista de audio 
         sym.$("audio_1")[0].pause(0000);
         sym.$("audio_2")[0].pause(0000);
         sym.$("audio_3")[0].pause(0000);

      });
      //Edge binding end

   })("pop_1");
   //Edge symbol end:'pop_1'

   //=========================================================
   
   //Edge symbol: 'bt_info_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_1}", "click", function(sym, e) {
         sym.stop("down");
         
         // Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").$("pop_info").show();
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").getSymbol("pop_info").play("inicio");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_2}", "click", function(sym, e) {
         sym.stop("up");
         

      });
      //Edge binding end

   })("bt_cerrar");
   //Edge symbol end:'bt_cerrar'

   //=========================================================
   
   //Edge symbol: 'bt_audio_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
         //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().getSymbol("pop_1").$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().getSymbol("pop_1").$(soundId).duration;
         //console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().getSymbol("pop_1").$(soundId).on('ended', function() {
         sym.stop("up");
         sym.getComposition().getStage().getSymbol("pop_1");
         });
         
         //console.log("currentAudio="+currentAudio);
         //console.log("duracion="+duracion);
         // Definir un conmutador para reproducir o pausar una pista de audio 
         if (sym.getComposition().getStage().getSymbol("pop_1").$(soundId)[0].paused) {
         	sym.getComposition().getStage().getSymbol("pop_1").$(soundId)[0].play();
         	sym.stop("down");
            sym.getComposition().getStage().getSymbol("pop_1");
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().getSymbol("pop_1").$(soundId)[0].pause();
         	sym.stop("up");
            sym.getComposition().getStage().getSymbol("pop_1");
         }

      });
         //Edge binding end

      })("bt_audio_1");
   //Edge symbol end:'bt_audio_1'

   //=========================================================
   
   //Edge symbol: 'bt_audio_2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
         //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().getSymbol("pop_1").$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().getSymbol("pop_1").$(soundId).duration;
         //console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().getSymbol("pop_1").$(soundId).on('ended', function() {
         sym.stop("up");
         sym.getComposition().getStage().getSymbol("pop_1");
         });
         
         //console.log("currentAudio="+currentAudio);
         //console.log("duracion="+duracion);
         // Definir un conmutador para reproducir o pausar una pista de audio 
         if (sym.getComposition().getStage().getSymbol("pop_1").$(soundId)[0].paused) {
         	sym.getComposition().getStage().getSymbol("pop_1").$(soundId)[0].play();
         	sym.stop("down");
            sym.getComposition().getStage().getSymbol("pop_1");
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().getSymbol("pop_1").$(soundId)[0].pause();
         	sym.stop("up");
            sym.getComposition().getStage().getSymbol("pop_1");
         }

      });
         //Edge binding end

      })("bt_audio_2");
   //Edge symbol end:'bt_audio_2'

   //=========================================================
   
   //Edge symbol: 'pop_2'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         // Ocultar un elemento 
         sym.getSymbolElement().fadeOut("slow");
         
         sym.playReverse();
         
         // Pausar una pista de audio 
         sym.$("audio_4")[0].pause(0000);

      });
      //Edge binding end

      })("pop_2");
   //Edge symbol end:'pop_2'

   //=========================================================
   
   //Edge symbol: 's2_ejemplo'
   (function(symbolName) {   
   
   })("s2_ejemplo");
   //Edge symbol end:'s2_ejemplo'

   //=========================================================
   
   //Edge symbol: 's2_box_1'
   (function(symbolName) {   
   
   })("s2_box_1");
   //Edge symbol end:'s2_box_1'

   //=========================================================
   
   //Edge symbol: 's2_box_2'
   (function(symbolName) {   
   
   })("s2_box_2");
   //Edge symbol end:'s2_box_2'

   //=========================================================
   
   //Edge symbol: 's2_box_3'
   (function(symbolName) {   
   
   })("s2_box_3");
   //Edge symbol end:'s2_box_3'

   //=========================================================
   
   //Edge symbol: 'bt_audio_3'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
            //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
            //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().getSymbol("pop_2").$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().getSymbol("pop_2").$(soundId).duration;
         //console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().getSymbol("pop_2").$(soundId).on('ended', function() {
         sym.stop("up");
         sym.getComposition().getStage().getSymbol("pop_2");
         });
         
         //console.log("currentAudio="+currentAudio);
         //console.log("duracion="+duracion);
         // Definir un conmutador para reproducir o pausar una pista de audio 
         if (sym.getComposition().getStage().getSymbol("pop_2").$(soundId)[0].paused) {
         	sym.getComposition().getStage().getSymbol("pop_2").$(soundId)[0].play();
         	sym.stop("down");
            sym.getComposition().getStage().getSymbol("pop_2");
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().getSymbol("pop_2").$(soundId)[0].pause();
         	sym.stop("up");
            sym.getComposition().getStage().getSymbol("pop_2");
         }

      });
            //Edge binding end

         })("bt_audio_3");
   //Edge symbol end:'bt_audio_3'

   //=========================================================
   
   //Edge symbol: 'pop_3'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrarCopy2}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         // Ocultar un elemento 
         sym.getSymbolElement().fadeOut("slow");
         
         sym.playReverse();
         
         // Pausar una pista de audio 
         sym.$("audio_5")[0].pause(0000);

      });
      //Edge binding end

      })("pop_3");
   //Edge symbol end:'pop_3'

   //=========================================================
   
   //Edge symbol: 's2_box_4'
   (function(symbolName) {   
   
   })("s3_box_1");
   //Edge symbol end:'s3_box_1'

   //=========================================================
   
   //Edge symbol: 's3_box_2'
   (function(symbolName) {   
   
   })("s3_box_2");
   //Edge symbol end:'s3_box_2'

   //=========================================================
   
   //Edge symbol: 'bt_audio_4'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
            //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
            //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().getSymbol("pop_3").$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().getSymbol("pop_3").$(soundId).duration;
         //console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().getSymbol("pop_3").$(soundId).on('ended', function() {
         sym.stop("up");
         sym.getComposition().getStage().getSymbol("pop_3");
         });
         
         //console.log("currentAudio="+currentAudio);
         //console.log("duracion="+duracion);
         // Definir un conmutador para reproducir o pausar una pista de audio 
         if (sym.getComposition().getStage().getSymbol("pop_3").$(soundId)[0].paused) {
         	sym.getComposition().getStage().getSymbol("pop_3").$(soundId)[0].play();
         	sym.stop("down");
            sym.getComposition().getStage().getSymbol("pop_3");
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().getSymbol("pop_3").$(soundId)[0].pause();
         	sym.stop("up");
            sym.getComposition().getStage().getSymbol("pop_3");
         }

      });
            //Edge binding end

         })("bt_audio_4");
   //Edge symbol end:'bt_audio_4'

   //=========================================================
   
   //Edge symbol: 'pop_4'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrarCopy3}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         // Ocultar un elemento 
         sym.getSymbolElement().fadeOut("slow");
         
         sym.playReverse();
         
         // Pausar una pista de audio 
         sym.$("audio_6")[0].pause(0000);
         
         

      });
      //Edge binding end

      })("pop_4");
   //Edge symbol end:'pop_4'

   //=========================================================
   
   //Edge symbol: 's3_box_3'
   (function(symbolName) {   
   
   })("s4_box_1");
   //Edge symbol end:'s4_box_1'

   //=========================================================
   
   //Edge symbol: 'bt_audio_5'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
            //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
            //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().getSymbol("pop_4").$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().getSymbol("pop_4").$(soundId).duration;
         //console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().getSymbol("pop_4").$(soundId).on('ended', function() {
         sym.stop("up");
         sym.getComposition().getStage().getSymbol("pop_4");
         });
         
         //console.log("currentAudio="+currentAudio);
         //console.log("duracion="+duracion);
         // Definir un conmutador para reproducir o pausar una pista de audio 
         if (sym.getComposition().getStage().getSymbol("pop_4").$(soundId)[0].paused) {
         	sym.getComposition().getStage().getSymbol("pop_4").$(soundId)[0].play();
         	sym.stop("down");
            sym.getComposition().getStage().getSymbol("pop_4");
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().getSymbol("pop_4").$(soundId)[0].pause();
         	sym.stop("up");
            sym.getComposition().getStage().getSymbol("pop_4");
         }

      });
            //Edge binding end

         })("bt_audio_5");
   //Edge symbol end:'bt_audio_5'

})(jQuery, AdobeEdge, "EDGE-94063035");